# Hekili

## [v9.1.5-1.0.0](https://github.com/Hekili/hekili/tree/v9.1.5-1.0.0) (2021-11-02)
[Full Changelog](https://github.com/Hekili/hekili/compare/v9.1.0-1.0.22...v9.1.5-1.0.0) [Previous Releases](https://github.com/Hekili/hekili/releases)

- Enable Ice Form PvP talent.  
- Add Beast Mastery Hunter ability to rule out Kill Command if pet is out of range of target (requires Pet-Based Target Detection).  
- More performance tweaking.  
- Don't count time spent generating recommendations for a snapshot (fixed).  
- Don't measure processing time when a snapshot occurs because snapshots are inefficient and misleading.  
- Attempt fix for Shadowgrasp Totem.  
- Revert CD spiral changes that are problematic for Runes.  
- Fix #1258.  
- TOC update for 9.1.5.  
- Havoc priority update.  
- Fix ad hoc usable item registry.  
- Demonology priority update.  
- Subtlety Shadow Techniques simplification to avoid errors when using 1 weapon like a weirdo.  
- Assassination priority updates.  
- Fire priority update (ugh).  
- Shadow priority update.  
- Survival priority update.  
- Balance priority update.  
- DK Frost and Unholy priority updates.  
- Use auras to detect active Rune Words.  This does not identically match SimC's implementation.  
- Remove gcdSync option.  
- If a usable item isn't registered when the ability is registered, register the item with the ability's name.  
- Properly swap Celestial Alignment vs. Incarnation auras for Balance.  
- Revise target filtering to handle aura-driven filtering when possible.  
- Force updates whenever our current spell cast changes.  
- Merge branch 'shadowlands' of https://github.com/Hekili/hekili into shadowlands  
- Profiling/performance review.  
    - Reduces default update frequency to once per second, unless accelerated by an event.  
- Update Feature-Request.yml  
    Help people select the right kind of ticket.  